echo off
set TMP_ZBNFJAX=tmp
call setZBNFJAX_HOME.bat

REM Sets the own file as input, using env-variable INPUT for better documentation:
set INPUT=java2XMI_Zmake_detail.bat
set INPUT=java2XMI_Zmake_zbnfjax.bat

REM calling Zmake, Translation this file via ZBNF to XML, and than to an ANT.xml-script:
echo on
::%ZMAKE_EXE% ./%INPUT% -tmp=tmp -zbnf4ant=xsl/ZmakeStd.zbnf -xslt4ant=xsl/ZmakeStd.xslp --report:tmp/zmake_test.rpt
echo off
if errorlevel 1 goto :error

REM calling ANT
echo CLASSPATH=%CLASSPATH%
echo on
call %ANT_HOME%\bin\ant -f %TMP_ZBNFJAX%\_ant_%INPUT%.xml -DcurDir=%CD%
pause
exit /B

:error 
 pause
exit /B
 

************************************************************************************************************
The own content is following now. Note that the file content from here is used not as batch file but as ZBNF input file.
Therefore after the keyword ZMAKE_RULES there is an other comment notation:

ZMAKE_RULES:

$javaInput=fileset
( 
  Zbnf2Xml.java
, ZbnfJavaOutput.java
, ZbnfParser.java
, ZbnfParseResultItem.java
, ZbnfParserStore.java
, ZbnfSyntaxPrescript.java
, ZbnfXmlOutput.java
);
 
tmp/*.*.xml := zbnfJava($javaInput, srcpath="..\..\srcJava_Zbnf\org\vishia\zbnf");

../rpy/ZBNF.xmi := javaXML2XMI($javaInput, srcpath="tmp", srcext=".xml");
